SQLite Installation on Debian Etch

Installing SQLite

Currently, PostgreSQL versions 2.8.17 and 3.3.8 are included within the stable release of Debian Etch.

This installs sqlite 2.8.17.

# apt-get install sqlite

This installs sqlite 3.3.8

# apt-get install sqlite3

Installing the PHP Interface to SQLite

In order to use PostgreSQL within Python scripts, depending on the SQLite version installed, either the package php5-sqlite (V2) or php5-sqlite3 (V3) must be installed.

#  apt-get install php5-sqlite

or

#  apt-get install php5-sqlite3

Installing the PHP Interface to SQLite

In order to use PostgreSQL within Python scripts, depending on the SQLite version installed, either the package python-sqlite (V2) or python-pysqlite2 (V3) must be installed.

#  apt-get install python-sqlite

or

#  apt-get install python-pysqlite2